%global momorel 19

%global jp_code         EUC

# versions
%global	tetex_ver                  3.0
%global	texmf_ver                  3.0po
%global ptetex_ver                 20080514
# provided by ptetex
%global	ptex_ver	           3.1.10
# provided by tetex
%global dvipsk_ver                 5.96.p1.7
%global kpathsea_ver	           3.5.6
# these are macros provided by ptetex
# check those version in ptetex3-%{ptetex_ver}/macros
%global prosper_ver                1.00.4
%global jsclasses_ver              071024
%global powerdot_ver               1.3
%global otf_ver                    1.2.9
%global utf_ver                    1.9.5.4

# texmf tree
%global texmf		%{_datadir}/texmf
%global texmfvar	%{_datadir}/texmf-var
%global texmfdist	%{_datadir}/texmf-dist
%global texmfconfig	%{_datadir}/texmf-config

# script for %%post
%global exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null || :
%global exec_updmap     [ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys --quiet 2> /dev/null || :

%global vartexfonts /var/tmp/texfonts

Summary: The TeX text formatting system.
Name: tetex
Version: %{tetex_ver}
Release: %{momorel}m%{?dist}
License: LGPL and "see documents for indivisual packages"
Group: Applications/Publishing
URL: http://www.tug.org/teTeX/
#URL: http://www.nn.iij4u.or.jp/~tutimura/tex/ptetex.html
Source0: http://tutimura.ath.cx/~nob/tex/ptetex/ptetex3/ptetex3-%{ptetex_ver}.tar.gz 
NoSource: 0
Source1: ftp://cam.ctan.org/tex-archive/systems/unix/teTeX/%{version}/distrib/tetex-src-%{version}.tar.gz 
NoSource: 1
Source2: ftp://cam.ctan.org/tex-archive/systems/unix/teTeX/%{version}/distrib/tetex-texmf-%{texmf_ver}.tar.gz 
NoSource: 2
Source10: tetex.cron
# Filter out bad requirements (bug #59819).
Source99: tetex-filter-requires.sh
%global __perl_requires %{SOURCE99}
# Don't run brp-python-bytecompile
%global __os_install_post  /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-static-archive %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

# teTeX extension styles
Source100: envlab.tar.bz2
Source101: OMSrsfs.fd
Source102: caption.tar.bz2
# used now ?
Source103: dvi-to-ps.fpi
# jtygm.sty - See http://auemath.aichi-edu.ac.jp/~khotta/ghost/psfont.html
#Source104: http://auemath.aichi-edu.ac.jp/~khotta/ghost/disk1/jtygm.lzh
Source104: jtygm.sty
# doc for otf
Source200: http://psitau.at.infoseek.co.jp/PDF/otfmanual.pdf
# platex2pdf script
Source1000: platex2pdf.sh
# Since most patches are applied via ptetex, here are only a few patches.
Patch8: tetex-3.0-xprint.patch
Patch101: tetex-3.0-reautoconf.patch
Patch300: tetex-3.0-dvipng-linklibXpm.patch
# for ptetex
Patch1000: ptetex-5macros.sh.diff
# Patch1001: ptetex-1check-archive.sh.diff
# for ed-0.4
Patch2000: tetex-ed.patch
# security
Patch3000: tetex-3.0-MOAB-06-01-2007.patch
Patch3001: tetex-3.0-CVE-2007-0650.patch
Patch3002: tetex-3.0-CVE-2007-0455.patch
Patch3003: tetex-3.0-CVE-2007-2756.patch
Patch3004: tetex-3.0-CVE-2007-3387.patch
Patch3005: tetex-3.0-CVE-2007-4033.patch
Patch3006: tetex-3.0-CVE-2007-5393.patch
Patch3007: tetex-3.0-dvipsoverflow.patch
Patch3008: tetex-3.0-dviljktemp.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ghostscript netpbm-progs
BuildPreReq: bison flex perl libpng-devel ncurses-devel zlib-devel
BuildPreReq: freetype-devel textutils gd-devel
BuildPreReq: autoconf213 libtool
BuildPreReq: libX11-devel libXpm-devel libXext-devel libSM-devel 
BuildPreReq: libICE-devel libXt-devel libXaw-devel
BuildPreReq: ed
# (to be on the safe side for a japanese fonts setting)
BuildPreReq: opfc-ModuleHP
Requires: tmpwatch, dialog, ed
# backward compatibility for dependencies
Requires: texi2html
# tetex-common is a core package and tetex-common depends on kpathsea
# Requires for both packages are needed for mph-get upgrade from tetex2?
Requires: kpathsea = %{kpathsea_ver}
Requires: tetex-common = %{tetex_ver} ghostscript-resource
Prereq: info
Obsoletes: tetex-dviljk tetex-omega tetex-lambda tetex-etex tetex-web
Provides: tetex-dviljk tetex-omega tetex-lambda tetex-etex tetex-web

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter-independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or its extension pLaTeX, since TeX by itself is not 
very user-friendly. 

Install tetex if you want to use the TeX text formatting system. Consider
to install tetex-ptex which provides enhanced Japanese support for TeX(pTeX) and LaTeX(pLaTeX2e).

This tetex package is built and enhanced by ptetex-%{ptetex_ver}, which is Japanese distribution of teTeX .
(see http://www.nn.iij4u.or.jp/~tutimura/tex/ptetex.html)

%package common
Summary: Some common files (fonts etc.) for the TeX text formatting system.
Group: Applications/Publishing
Requires: kpathsea = %{kpathsea_ver}-%{release}
PreReq: info
Provides: tetex-fonts tetex-type1 tetex-vf
Obsoletes: tetex-type1 tetex-vf

%description common
A tetex-common package contains some common files (fonts etc.) used by both the Xdvi previewer and the TeX text formatting system.

You will need to install tetex-common if you wish to use either xdvik
(for previewing .dvi files in X) or the tetex package (the core of the TeX
text formatting system).

%package -n kpathsea
Summary: Path searching library
Version: %{kpathsea_ver}
Group: System Environment/Libraries
%ifarch x86_64 ppc64 ia64 sparc64
Provides: libkpathsea.so()(64bit)
%else
Provides: libkpathsea.so
%endif

%description -n kpathsea
The fundamental purpose of kpathsea library is to return a filename from a list
of directories specified by the user, similar to what shells do when
looking up program names to execute.

%package -n kpathsea-devel
Summary: Path searching library
Version: %{kpathsea_ver}
Group: Development/Libraries
PreReq: kpathsea = %{kpathsea_ver}-%{release}

%description -n kpathsea-devel
The fundamental purpose of kpathsea is to return a filename from a list
of directories specified by the user, similar to what shells do when
looking up program names to execute.

%package latex
Summary: The LaTeX front end for the TeX text formatting system.
Group: Applications/Publishing
Requires: tetex = %{tetex_ver}-%{release}
Requires: netpbm-progs
Provides: tetex-elatex
Obsoletes: tetex-elatex

%description latex
LaTeX is a front end for the TeX text formatting system. Easier to
use than TeX. LaTeX is essentially a set of TeX macros which provide
convenient, predefined document formats for users. It also allows to
compile LaTeX files directly to PDF format.

If you are installing tetex, so that you can use the TeX text
formatting system, consider to install tetex-latex.

%package ptex
Summary: ASCII Nihongo TeX (Publishing TeX) for the TeX text formatting system.
Version: %{ptex_ver}
License: Modified BSD
Group: Applications/Publishing
URL: http://www.ascii.co.jp/pb/ptex/
PreReq: info
Requires: tetex = %{tetex_ver}-%{release}
Requires: tetex-latex = %{tetex_ver}-%{release}
Requires: tetex-dvipsk = %{dvipsk_ver}-%{release}
Requires: tetex-afm = %{tetex_ver}-%{release}
Provides: tetex-platex
Obsoletes: tetex-platex

%description ptex
ASCII Nihongo TeX (a.k.a pTeX or Publishing TeX) is an extension package to teTeX to provide highly extended Japanese support. 
This includes pTeX for original TeX and pLaTeX2e for LaTeX2e.

The features pTeX(pLaTeX2e) provides are:

  * mixture of vertical and horizontal typesetting.

  * proper treatment of  "Kinsoku" for Japanese.

  * adjusting space of Japanese and ascii characters.

  * typesetting of Japanese characters using JFM files.

If you wish to use TeX with Japanese, install tetex-ptex package.

%package dvipsk
Summary: A DVI to PostScript converter for the TeX text formatting system.
Version: %{dvipsk_ver}
Group: Applications/Publishing
PreReq: info
Requires: tetex-common = %{tetex_ver}-%{release}
Requires: psutils
Provides: tetex-dvips

%description dvipsk
Dvips converts .dvi files produced by the TeX text formatting system
(or by another processor like GFtoDVI) to PostScript(TM) format.
Normally the PostScript file is sent directly to your printer.

If you are installing tetex, so that you can use the TeX text
formatting system without direct PDF compilation, consider to install
tetex-dvips. In addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-latex (a higher level formatting
package which provides an easier-to-use interface for TeX).

%package afm
Summary: A converter for PostScript(TM) font metric files, for use with TeX.
Group: Applications/Publishing
Requires: tetex = %{tetex_ver}-%{release}

%description afm
Tetex-afm provides afm2tfm, a converter for PostScript font metric
files. PostScript fonts are accompanied by .afm font metric files
which describe the characteristics of each font. To use PostScript
fonts with TeX, TeX needs .tfm files that contain similar information.
Afm2tfm will convert .afm files to .tfm files.

If you are installing tetex in order to use the TeX text formatting
system and PostScript(TM) files, you will need to install tetex-afm. 

%package doc
Summary: The documentation files for the TeX text formatting system.
Group: Documentation
Requires: tetex = %{tetex_ver}-%{release}

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you are not an expert at it, you should
install the tetex-doc package. You also need to install the tetex
package.

%package jsclasses
Summary: platex2e new document class
Version: %{jsclasses_ver}
License: Modified BSD
Group: Applications/Publishing
URL: http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/
Requires: tetex-ptex = %{ptex_ver}-%{release}
Provides: jsclasses
Obsoletes: jsclasses
Provides: tetex-extramacros-jsclasses = %{jsclasses_ver}-%{release}
Obsoletes: tetex-extramacros-jsclasses < 071024-18m

%description jsclasses
platex2e new document class is a enhanced document class for Japanese pLaTeX2e. This package consists of "jsarticle" and "jsbook" which is an extension of original "jarticle" and "jbook" in pLaTeX2e respectively. The additional style files(okumacro.sty, okuverb.sty and morisawa.sty) are also included.

%package utfpackage
Summary: UTF package for pLaTeX2e
Version: %{utf_ver}
Group: Applications/Publishing
URL: http://psitau.at.infoseek.co.jp/utf.html
Requires: tetex-ptex = %{ptex_ver}-%{release}
#PreReq: dvipdfmx, xdvik
Provides: tetex-extramacros-utf = %{utf_ver}-%{release}
Obsoletes: tetex-extramacros-utf < 1.9.5.4-18m

%description utfpackage
UTF package is a latex package for using unicode characters in latex. This package consists of style files and virtual fonts. Supported dviwares are udvips, dvipdfmx, Mxdvi, xdvi, dviout.

%package otfpackage
Summary: OTF package for pLaTeX2e
Version: %{otf_ver}
Group: Applications/Publishing
URL: http://psitau.at.infoseek.co.jp/otf.html
Requires: tetex-ptex = %{ptex_ver}-%{release}
#PreReq: dvipdfmx, xdvik
Provides: tetex-extramacros-otf = %{otf_ver}-%{release}
Obsoletes: tetex-extramacros-otf < 1.2.9-18m

%description otfpackage
OTF package is a latex package for using Open Type Font in latex. This package consists of style files and virtual fonts.Supported dviwares are udvips, dvipdfmx, Mxdvi, xdvi, dviout.

OTF package is considered to be an enhanced version of UTF package, although UTF package and OTF package are independent and incompatible each other. If you think UTF package has enough features, you may use UTF package instead.

%package powerdot
Summary: a presentation class for LaTeX
Version: %{powerdot_ver}
Group: Applications/Publishing
URL: http://stuwww.uvt.nl/~hendri/Downloads/powerdot.html
Requires: tetex-latex = %{tetex_ver}-%{release}
#Provides: powerdot
Obsoletes: powerdot
Provides: tetex-extramacros-powerdot = %{powerdot_ver}-%{release}
Obsoletes: tetex-extramacros-powerdot < 1.3-18m

%description powerdot
Powerdot is a presentation class for LaTeX that allows for the quick and easy development of professional presentations. It comes with many tools that enhance presentations and aid the presenter. Examples are automatic overlays, personal notes and a handout mode. To view a presentation, DVI, PS or PDF output can be used. A powerful template system is available to easily develop new styles. A LyX layout file is provided. See for more information the PDF documentation of the class.

%package prosper
Summary: a presentation class for LaTeX
Version: %{prosper_ver}
Group: Applications/Publishing
URL: http://prosper.sourceforge.net/
Requires: tetex-latex = %{tetex_ver}-%{release}
#Provides: prosper
Obsoletes: prosper
Provides: tetex-extramacros-prosper = %{prosper_ver}-%{release}
Obsoletes: tetex-extramacros-prosper < 1.00.4-18m

%description prosper
Prosper is a LaTeX class for writing transparencies. It is written on top of the seminar class by Timothy Van Zandt. It aims at offering an environment for easily creating slides for both presentations with an overhead projector and a video projector. Slides prepared for a presentation with a computer and a video projector may integrate animation effects, incremental display, and such.


%prep
%setup -q -n ptetex3-%{ptetex_ver}
# modify 5macros.sh a little so that updmap is not executed in the script
patch -p0 < %{PATCH1000}
#patch -p0 < %{PATCH1001}

cat <<EOF > my_option
export CFLAGS="$RPM_OPT_FLAGS -DNeedWidePrototypes -DHAVE_LOCALE_H"

SRC_DIR=%{_sourcedir}
TMP_PREFIX=`pwd`/build
PREFIX=%{_prefix}
DATADIR=%{_datadir}
#TEXMFDIST=%{_datadir}/texmf-dist
make_option vartexfonts=%{vartexfonts}

SYSTEM_FREETYPE2=yes

KANJI_CODE=%{jp_code}
JAPANESE=traditional

conf_option --with-system-zlib
conf_option --with-system-pnglib
conf_option --with-system-gd
conf_option --with-system-ncurses
conf_option --with-system-t1lib
conf_option --enable-shared
conf_option --enable-kanji-iconv

conf_option --without-xdvik
conf_option --without-texinfo
conf_option --without-dialog

conf_option --without-dviljk
conf_option --without-info
conf_option --without-texi2html
conf_option --without-texinfo

XDVI=echo
PXDVI=echo

EOF

# extract files
# for ed-0.4
#%patch2000 -p1 -b .ed
unset TEXINPUTS || :
unset HOME || :
make check x

(cd build/tetex-src-%{tetex_ver}
%patch8 -p1 -b .xprint
%patch300 -p1 -b .linklibXpm
rm -f texmf/ls-R
%patch101 -p1
# for security
#included in ptetex
#%patch3000 -p1 -b .MOAB-06-01-2007
#%patch3001 -p1 -b .CVE-2007-0650
#%patch3002 -p1 -b .CVE-2007-0455
#%patch3003 -p1 -b .CVE-2007-2756
#%patch3004 -p1 -b .CVE-2007-3387
#%patch3005 -p1 -b .CVE-2007-4033
#%patch3006 -p1 -b .CVE-2007-5393
#%patch3007 -p1 -b .CVE-2007-5935
%patch3008 -p1 -b .CVE-2007-5938

## etc ...
rm -rf texk/dvipdfmx/data/CMap/CVS
rm -rf texk/dvipdfmx/data/config/CVS
find . -name CVS -exec rm -r '{}' \;
find . -name .cvsignore -exec rm '{}' \;
)

%build
unset TEXINPUTS || :
unset HOME || :

# Avoid pollution from internal libraries.
(cd build/tetex-src-%{tetex_ver}
rm -rf ./libs/{ncurses,zlib,libpng,libwww}
# XXX Hacks to avoid accidental version clashs with system libraries.
mkdir -p ./libs/zlib
ln -s %{_includedir}/{zconf,zlib}.h ./libs/zlib
mkdir -p ./libs/libpng
ln -s %{_includedir}/{png,pngconf}.h ./libs/libpng
)

make c macro otf babel

%install
rm -rf %{buildroot}
unset TEXINPUTS || :
unset HOME || :

# copy tree
mkdir -p %{buildroot}%{_prefix}
cp -a build/bin     %{buildroot}%{_bindir}
cp -a build/share   %{buildroot}%{_datadir}
cp -a build/include %{buildroot}%{_includedir}
cp -a build/lib     %{buildroot}%{_libdir}
cp -a build/man     %{buildroot}%{_mandir}
cp -a build/info    %{buildroot}%{_infodir}

rm -r	%{buildroot}%{_datadir}/texmf/web2c/texmf.cnf.* \
	%{buildroot}%{_datadir}/texmf/web2c/fmtutil.cnf.* \
	%{buildroot}%{_infodir}/dir

chmod +x %{buildroot}%{_libdir}/*.so*

# fonts dir
mkdir -p %{buildroot}%{texmf}/fonts/opentype
mkdir -p %{buildroot}%{texmf}/fonts/truetype
ln -s ../../../fonts/truetype %{buildroot}%{texmf}/fonts/truetype/truetype

# cmap
#mkdir -p %{buildroot}%{texmf}/fonts/cmap
ln -s ../../../ghostscript/Resource/CMap %{buildroot}%{texmf}/fonts/cmap/ghostscript
cp -af cmap %{buildroot}%{texmf}/fonts/cmap/ptetex

export TEXMFMAIN=%{buildroot}%{texmf}
export TEXMFDIST=%{buildroot}%{texmfdist}
export TEXMFSYSVAR=%{buildroot}%{texmfvar}
export TEXMFSYSCONFIG=%{buildroot}%{texmfconfig}
export PATH=%{buildroot}%{_bindir}:$PATH
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}

# (doc of jsclasses)
pushd %{buildroot}%{texmf}/packages/jsclasses
for i in jsclasses.dtx okumacro.dtx okuverb.dtx morisawa.dtx
do
  platex $i
  platex $i
  dvips -Ppdf ${i%%.dtx}.dvi
done
rm -rf *.log *.aux
popd
rm -rf docs_jsclasses
mkdir -p docs_jsclasses
mv -f %{buildroot}%{texmf}/packages/jsclasses/*.ps docs_jsclasses
mv -f %{buildroot}%{texmf}/packages/jsclasses/*.dvi docs_jsclasses
# (docs of prosper)
rm -rf docs_prosper
mkdir -p docs_prosper
mv -f %{buildroot}%{texmf}/packages/prosper/{AUTHORS,ChangeLog,FAQ,INSTALL,NEWS,README,TODO,TROUBLESHOOTINGS,doc} docs_prosper
# (docs of powerdot)
rm -rf docs_powerdot
mkdir -p docs_powerdot
mv -f %{buildroot}%{texmf}/packages/powerdot/{README,doc} docs_powerdot
# utf package
rm -rf docs_utf
mkdir -p docs_utf
cp -f %{buildroot}%{texmf}/packages/utfsrc/readme.txt docs_utf
# otf package
rm -rf docs_otf
mkdir docs_otf
cp -f %{buildroot}%{texmf}/packages/otfstable/readme.txt docs_otf
cp -f %{SOURCE200} docs_otf

## staffs not contained in ptetex3

# install envlab package
mkdir -p %{buildroot}%{texmfdist}/tex/latex/misc
tar xfj %{SOURCE100} -C %{buildroot}%{texmfdist}/tex/latex/misc
pushd %{buildroot}%{texmfdist}/tex/latex/misc/envlab
latex envlab.ins
mkdir -p %{buildroot}%{texmfdist}/doc/envlab
mv elguide.tex readme.v12 %{buildroot}%{texmfdist}/doc/envlab
ls %{buildroot}%{texmfdist}/tex/latex/misc/envlab | grep -v "\\.sty$" | xargs rm -f
popd

# install missing OMSrsfs.fd from CTAN to make \mathcal work with rsfs fonts (#186373)
install -m 644 %{SOURCE101} %{buildroot}%{texmfdist}/tex/latex/calrsfs

# update caption package from CTAN
mkdir -p %{buildroot}%{texmfdist}/tex/latex
rm -rf %{buildroot}%{texmfdist}/tex/latex/caption
tar xfj %{SOURCE102} -C %{buildroot}%{texmfdist}/tex/latex
pushd %{buildroot}%{texmfdist}/tex/latex/caption
latex caption.ins
mkdir -p %{buildroot}%{texmfdist}/doc/latex/caption
mv anleitung.pdf caption.pdf %{buildroot}%{texmfdist}/doc/latex/caption
ls %{buildroot}%{texmfdist}/tex/latex/caption | grep -v "\\.sty$" | xargs rm -f
popd

# Create symlinks for Euler fonts (#9782)
pushd %{buildroot}%{texmfdist}/tex/latex/amsfonts
for i in ex f r s ; do
  ln -sf ueu${i}.fd Ueu${i}.fd
done
popd

# Don't ship CVS internal files (bug #60055).
rm -f %{buildroot}%{texmfdist}/ptex/platex/base/.cvsignore

# move the man pages
mkdir -p %{buildroot}%{_mandir}/man1
[ -e "%{buildroot}%{_mandir}/dvips.1" ] && \
    mv %{buildroot}%{_mandir}/*.1 %{buildroot}%{_mandir}/man1 


rm -f %{buildroot}%{_infodir}/dir

# jtygym.sty from vine
install %{SOURCE104} %{buildroot}%{texmf}/ptex/platex/base/


## for dvipdfmx
rm -f %{buildroot}%{_bindir}/dvipdfm
rm -f %{buildroot}%{_bindir}/dvipdft

# we dont have jvf package...
## delete useless files (conflict with jvf package)
#rm -rf %{buildroot}%{texmf}/fonts/vf/ptex
#rm -rf %{buildroot}%{texmf}/fonts/tfm/ptex/*[a-zA-Z].tfm

# for created fonts
mkdir -p %{buildroot}%{_var}/lib/texmf
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -m 755 %{SOURCE10} %{buildroot}%{_sysconfdir}/cron.daily

# remove unpackaging files
rm -f %{buildroot}%{texmf}/dvips/config/config.ps.teTeX-texmf-2.0-no-lp-dvips.patch
rm -f %{buildroot}%{texmf}/web2c/texmf.cnf.orig
# provided by xdvik package
rm -f %{buildroot}%{texmf}/xdvi/XDvi

# leave log in order to remove those when uninstall
## Don't ship unneeded log files (bug #65689).
#rm -f %{buildroot}%{texmfdist}/web2c/*.log
#rm -f %{buildroot}%{texmfvar}/web2c/*.log

# Remove things we don't package.
rm -f	%{buildroot}%{_bindir}/dvilj* \
	%{buildroot}%{_mandir}/*/dvilj* \
	%{buildroot}%{_bindir}/readlink \
	%{buildroot}%{_mandir}/*/readlink* \
	%{buildroot}%{texmf}/web2c/texmf.cnf.orig \
	%{buildroot}%{texmf}/xdvi/XDvi.orig \
	%{buildroot}%{texmf}/tex/latex/base/latex.ltx.orig
rm -rf	%{buildroot}%{_prefix}/html

# Remove preview-latex and its documentation (#168859, #189753)
rm -rf %{buildroot}%{texmf}/tex/latex/preview
rm -rf %{buildroot}%{texmf}/doc/latex/preview

# Remove .la files (#172619)
find %{buildroot} | grep -e "\\.la$" | xargs rm -f

# some dir and files are created in %%post, so include them into tetex-common
mkdir -p %{buildroot}%{texmfconfig}/web2c
cp -f  %{buildroot}%{texmf}/web2c/updmap.cfg %{buildroot}%{texmfconfig}/web2c/updmap.cfg

# initialize ls-R
rm -f %{buildroot}%{_var}/lib/texmf/ls-R
head -n 1 %{buildroot}%{texmfdist}/ls-R > \
	  %{buildroot}%{_var}/lib/texmf/ls-R
touch %{buildroot}%{texmfconfig}/ls-R

mkdir -p %{buildroot}%{_var}/lib/texmf/fonts

# for doc of ptetex and ptex
rm -rf docs_ptetex docs_ptex docs_tetex
mkdir -p docs_ptetex
cp -f {ChangeLog*,LICENSE,README*} docs_ptetex
mkdir -p docs_ptex
cp -f build/share/texmf/doc/ptex/*.txt docs_ptex
cp -f build/share/texmf/doc/ptex/COPYRIGHT* docs_ptex
mkdir -p docs_tetex
for file in ANNOUNCE-3.0 CREDITS INSTALL INSTALL.generic  LICENSE.src NEWS PROBLEMS PROBLEMS-teTeX-1.0  PROBLEMS-teTeX-2.0 QuickInstall README release-tetex-src.txt teTeX-vs-TeXLive
do
    cp -f build/tetex-src-%{tetex_ver}/$file docs_tetex
done

# some essential docs
rm -rf docs_latex
mkdir -p docs_latex
cp -f build/share/texmf-dist/doc/latex/base/lppl* docs_latex

# separate package
rm -rf %{buildroot}%{_bindir}/dvipdfmx
rm -rf %{buildroot}%{_datadir}/texmf/dvipdfm/config/dvipdfmx.cfg
rm -rf %{buildroot}%{_datadir}/texmf/dvipdfm/dvipdfmx.cfg
rm -rf %{buildroot}%{_datadir}/texmf/fonts/map/dvipdfm/glyphlist.txt
rm -rf %{buildroot}%{_datadir}/texmf/xdvi/vfontmap

# backward compatibility scripts (/usr/bin/platex-{euc,utf8,sjis,jis})
for kanji in utf8 sjis jis euc
do
    cat > %{buildroot}/%{_bindir}/platex-${kanji} <<EOF
#!/bin/bash
platex --kanji=${kanji} \$*
EOF
    chmod 755 %{buildroot}/%{_bindir}/platex-${kanji}
done

#platex2pdf script (alternative to pdflatex)
install -m 755 %{SOURCE1000} %{buildroot}/%{_bindir}/platex2pdf
pushd %{buildroot}/%{_bindir}
ln -s platex2pdf pdfplatex
popd

%clean
rm -rf %{buildroot}

# make sure ls-R used by teTeX is updated after an install
%post
%{exec_texhash}
exit 0

%post common
/sbin/install-info %{_infodir}/web2c.info %{_infodir}/dir
%{exec_texhash}
exit 0

%post -n kpathsea
/sbin/ldconfig
%{exec_texhash}
exit 0

%post -n kpathsea-devel
/sbin/install-info %{_infodir}/kpathsea.info %{_infodir}/dir

%post latex
/sbin/install-info %{_infodir}/latex.info %{_infodir}/dir
[ -x %{_bindir}/texconfig ] && %{_bindir}/texconfig-sys init >/dev/null 2>&1
%{exec_texhash}
exit 0

%post ptex
[ -x %{_bindir}/texconfig ] && %{_bindir}/texconfig-sys init >/dev/null 2>&1
%{exec_texhash}
exit 0

%post dvipsk
/sbin/install-info %{_infodir}/dvips.info %{_infodir}/dir
%{exec_texhash}
%{exec_updmap}
exit 0

%post afm
%{exec_texhash}
exit 0

%post doc
%{exec_texhash}
exit 0

%post jsclasses
%{exec_texhash}
exit 0

%post utfpackage
%{exec_texhash}
%{_bindir}/updmap-sys --quiet --nomkmap --enable KanjiMap utf-@kanjiEmbed@.map 2> /dev/null
%{exec_updmap}
exit 0

%post otfpackage
%{exec_texhash}
%{_bindir}/updmap-sys --quiet --nomkmap --enable KanjiMap otf-@kanjiEmbed@.map 2> /dev/null
%{_bindir}/updmap-sys --quiet --nomkmap --enable KanjiMap otf-cktx.map 2> /dev/null
%{exec_updmap}
exit 0

%post powerdot
%{exec_texhash}
exit 0

%post prosper
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0

%postun common
%{exec_texhash}
exit 0

%postun -n kpathsea -p /sbin/ldconfig

%postun latex
%{exec_texhash}
exit 0

%postun ptex
%{exec_texhash}
exit 0

%postun dvipsk
%{exec_texhash}
%{exec_updmap}
exit 0

%postun afm
%{exec_texhash}
exit 0

%postun doc
%{exec_texhash}
exit 0

%postun jsclasses
%{exec_texhash}
exit 0

%postun utfpackage
%{exec_texhash}
if [ "$1" = 0 ] ;then
  %{_bindir}/updmap-sys --quiet --nomkmap --disable utf-@kanjiEmbed@.map 2> /dev/null
fi
%{exec_updmap}
exit 0

%postun otfpackage
%{exec_texhash}
if [ "$1" = 0 ] ;then
  %{_bindir}/updmap-sys --quiet --nomkmap --disable otf-@kanjiEmbed@.map 2> /dev/null
  %{_bindir}/updmap-sys --quiet --nomkmap --disable otf-cktx.map 2> /dev/null
fi
%{exec_updmap}
exit 0

%postun powerdot
%{exec_texhash}
exit 0

%postun prosper
%{exec_texhash}
exit 0

%preun -n kpathsea-devel
if [ "$1" = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/kpathsea.info
fi

%preun dvipsk
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/dvips.info %{_infodir}/dir
fi

%preun latex
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/latex.info %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc docs_tetex
%doc docs_ptetex
%{_bindir}/a2ping
%{_bindir}/aleph
%{_bindir}/allcm
%{_bindir}/allec
%{_bindir}/allneeded
%{_bindir}/bibtex
%{_bindir}/ctangle
%{_bindir}/ctie
%{_bindir}/cweave
%{_bindir}/dmp
%{_bindir}/dvicopy
%{_bindir}/dvigif
#%{_bindir}/dvihp
%{_bindir}/dvipng
%{_bindir}/dvitomp
%{_bindir}/dvitype
%{_bindir}/e2pall
%{_bindir}/ebb
%{_bindir}/epstopdf
%{_bindir}/etex
%{_bindir}/fdf2tan
%{_bindir}/fdf2tex
%{_bindir}/fontinst
%{_bindir}/jbibtex
%{_bindir}/jmpost
%{_bindir}/kpsereadlink
%{_bindir}/kpsewhere
%{_bindir}/lambda
%{_bindir}/lamed
%{_bindir}/mag
%{_bindir}/makeindex
%{_bindir}/makempx
%{_bindir}/makempy
%{_bindir}/mendex
%{_bindir}/mf-nowin
%{_bindir}/mkindex
%{_bindir}/mkocp
%{_bindir}/mkofm
%{_bindir}/mpost
%{_bindir}/mpto
%{_bindir}/mptopdf
%{_bindir}/newer
%{_bindir}/odvicopy
%{_bindir}/odvitype
%{_bindir}/ofm2opl
%{_bindir}/omega
%{_bindir}/omfonts
%{_bindir}/opl2ofm
%{_bindir}/otangle
%{_bindir}/otp2ocp
%{_bindir}/outocp
%{_bindir}/ovf2ovp
%{_bindir}/ovp2ovf
%{_bindir}/patgen
%{_bindir}/pdfcrop
%{_bindir}/pdfetex
%{_bindir}/pdftex
%{_bindir}/pdfxtex
%{_bindir}/pdvitomp
%{_bindir}/pdvitype
%{_bindir}/pfb2pfa
%{_bindir}/pk2bm
%{_bindir}/pktogf
%{_bindir}/pktype
%{_bindir}/pltotf
%{_bindir}/pmakempx
%{_bindir}/pooltype
%{_bindir}/ps2frag
%{_bindir}/ps4pdf
%{_bindir}/rubibtex
%{_bindir}/rumakeindex
%{_bindir}/tangle
%{_bindir}/tex
%{_bindir}/texdoc
%{_bindir}/texdoctk
%{_bindir}/texexec
%{_bindir}/texfind
%{_bindir}/texfont
%{_bindir}/texlinks
%{_bindir}/texshow
%{_bindir}/texutil
%{_bindir}/tftopl
%{_bindir}/thumbpdf
%{_bindir}/tie
%{_bindir}/uniqleaf
%{_bindir}/vftovp
%{_bindir}/vptovf
%{_bindir}/weave
%{_mandir}/man1/allcm.1*
%{_mandir}/man1/allec.1*
%{_mandir}/man1/allneeded.1*
%{_mandir}/man1/amstex.1*
%{_mandir}/man1/bibtex.1*
%{_mandir}/man1/ctangle.1*
%{_mandir}/man1/ctie.1*
%{_mandir}/man1/cweave.1*
%{_mandir}/man1/cweb.1*
%{_mandir}/man1/dmp.1*
%{_mandir}/man1/dvicopy.1*
#%{_mandir}/man1/dvihp.1*
%{_mandir}/man1/dvipdfm.1*
%{_mandir}/man1/dvipdft.1*
%{_mandir}/man1/dvipng.1*
%{_mandir}/man1/dvitomp.1*
%{_mandir}/man1/dvitype.1*
%{_mandir}/man1/e2pall.1*
%{_mandir}/man1/ebb.1*
%{_mandir}/man1/eplain.1*
%{_mandir}/man1/epstopdf.1*
%{_mandir}/man1/etex.1*
%{_mandir}/man1/fdf2tex.1*
%{_mandir}/man1/fmtutil-sys.1*
%{_mandir}/man1/fontinst.1*
%{_mandir}/man1/kpsereadlink.1*
%{_mandir}/man1/kpsewhere.1*
%{_mandir}/man1/lambda.1*
%{_mandir}/man1/mag.1*
%{_mandir}/man1/makeindex.1*
%{_mandir}/man1/makempx.1*
%{_mandir}/man1/makempy.1*
%{_mandir}/man1/mf-nowin.1*
%{_mandir}/man1/mf.1*
%{_mandir}/man1/mkindex.1*
%{_mandir}/man1/mkocp.1*
%{_mandir}/man1/mkofm.1*
%{_mandir}/man1/mktexfmt.1*
%{_mandir}/man1/mpost.1*
%{_mandir}/man1/mpto.1*
%{_mandir}/man1/newer.1*
%{_mandir}/man1/odvicopy.1*
%{_mandir}/man1/odvitype.1*
%{_mandir}/man1/ofm2opl.1*
%{_mandir}/man1/omega.1*
%{_mandir}/man1/opl2ofm.1*
%{_mandir}/man1/otp2ocp.1*
%{_mandir}/man1/outocp.1*
%{_mandir}/man1/ovf2ovp.1*
%{_mandir}/man1/ovp2ovf.1*
%{_mandir}/man1/patgen.1*
%{_mandir}/man1/pdfetex.1*
%{_mandir}/man1/pdftex.1*
%{_mandir}/man1/pdfxtex.1*
%{_mandir}/man1/pfb2pfa.1*
%{_mandir}/man1/pk2bm.1*
%{_mandir}/man1/pktogf.1*
%{_mandir}/man1/pktype.1*
%{_mandir}/man1/pltotf.1*
%{_mandir}/man1/pooltype.1*
%{_mandir}/man1/ps2frag.1*
%{_mandir}/man1/rubibtex.1*
%{_mandir}/man1/rumakeindex.1*
%{_mandir}/man1/tangle.1*
%{_mandir}/man1/tex.1*
%{_mandir}/man1/texdoc.1*
%{_mandir}/man1/texdoctk.1*
%{_mandir}/man1/texexec.1*
%{_mandir}/man1/texfind.1*
%{_mandir}/man1/texfont.1*
%{_mandir}/man1/texlinks.1*
%{_mandir}/man1/texshow.1*
%{_mandir}/man1/texutil.1*
%{_mandir}/man1/tftopl.1*
%{_mandir}/man1/thumbpdf.1*
%{_mandir}/man1/tie.1*
%{_mandir}/man1/vftovp.1*
%{_mandir}/man1/vptovf.1*
%{_mandir}/man1/weave.1*
%dir %{texmf}/tex
%{texmf}/tex/generic
%{texmf}/web2c/aleph.pool
#%{texmf}/web2c/fmtutil.cnf.jmpost
#%{texmf}/web2c/fmtutil.cnf.ptex
%{texmf}/web2c/jmp.pool
%{texmf}/web2c/mp.pool
%{texmf}/web2c/omega.pool
%{texmf}/web2c/pdfetex-pl.pool
%{texmf}/web2c/pdfetex.pool
%{texmf}/web2c/pdfxtex.pool
%{texmf}/web2c/ptex.pool
%{texmf}/web2c/tex.pool
#%{texmf}/web2c/texmf.cnf.ptex
%dir %{texmf}/packages
%{texmf}/packages/xkeyval

%files common
%defattr(-,root,root)
%config %{_sysconfdir}/cron.daily/tetex.cron
%{_bindir}/fmtutil
%{_bindir}/fmtutil-sys
%{_bindir}/gftodvi
%{_bindir}/gftopk
%{_bindir}/gftype
%{_bindir}/gsftopk
%{_bindir}/mf
%{_bindir}/mft
%{_bindir}/ps2pk
%{_bindir}/texconfig
%{_bindir}/texconfig-dialog
%{_bindir}/texconfig-sys
%{_bindir}/updmap
%{_bindir}/updmap-sys
%{_infodir}/web2c.info*
%{_mandir}/man1/fmtutil.1*
%{_mandir}/man1/gftodvi.1*
%{_mandir}/man1/gftopk.1*
%{_mandir}/man1/gftype.1*
%{_mandir}/man1/gsftopk.1*
%{_mandir}/man1/mft.1*
%{_mandir}/man1/ps2pk.1*
%{_mandir}/man5/fmtutil.cnf.5*
%{_mandir}/man1/texconfig-sys.1*
%{_mandir}/man1/texconfig.1*
%{_mandir}/man1/updmap-sys.1*
%{_mandir}/man1/updmap.1*
%{texmfdist}/ChangeLog
%{texmfdist}/LICENSE.texmf
%{texmfdist}/aliases
%{texmfdist}/bibtex
%{texmfdist}/context
%{texmfdist}/dvipdfm
%{texmfdist}/fonts
%exclude %{texmfdist}/fonts/map/dvips
%exclude %{texmfdist}/fonts/enc/dvips
%exclude %{texmfdist}/fonts/afm
%{texmfdist}/makeindex
%{texmfdist}/metafont
%{texmfdist}/metapost
%{texmfdist}/mft
%{texmfdist}/omega
%{texmfdist}/release-tetex-texmf.txt
%{texmfdist}/scripts
%dir %{texmfdist}/tex
# %%{texmfdist}/tex/{cslatex,latex,platex} should go to latex
%{texmfdist}/tex/amstex
%{texmfdist}/tex/context
%{texmfdist}/tex/csplain
%{texmfdist}/tex/cyrplain
%{texmfdist}/tex/eplain
%{texmfdist}/tex/fontinst
%{texmfdist}/tex/generic
%{texmfdist}/tex/lambda
%{texmfdist}/tex/mex
# %%{texmfdist}/tex/plain/dvips should go to dvipsk
%dir %{texmfdist}/tex/plain
%{texmfdist}/tex/plain/amsfonts
%{texmfdist}/tex/plain/antt
%{texmfdist}/tex/plain/arrow
%{texmfdist}/tex/plain/base
%{texmfdist}/tex/plain/btxmac
%{texmfdist}/tex/plain/config
%{texmfdist}/tex/plain/enctex
%{texmfdist}/tex/plain/etex
%{texmfdist}/tex/plain/fontchart
%{texmfdist}/tex/plain/graphics
%{texmfdist}/tex/plain/idxmac
%{texmfdist}/tex/plain/list
%{texmfdist}/tex/plain/llist
%{texmfdist}/tex/plain/mimulcol
%{texmfdist}/tex/plain/mproof
%{texmfdist}/tex/plain/omega
%{texmfdist}/tex/plain/pdfcolor
%{texmfdist}/tex/plain/pdfwebmac
%{texmfdist}/tex/plain/rsfs
%{texmfdist}/tex/plain/tetex
%{texmfdist}/tex/plain/verbatim
%{texmfdist}/tex/plain/vietnam
%{texmfdist}/tex/plain/wasy2
%{texmfdist}/tex/plain/wlist
%{texmfdist}/tex/plain/xepsf
%{texmfdist}/tex/texinfo
%{texmfdist}/texdoctk
# %%{texmfdist}/web2c/mktex.cnf should go to kpathsea
%{texmfdist}/web2c/updmap.cfg
%{texmfdist}/web2c/*.tcx
%exclude %{texmfdist}/web2c/mktex.cnf
%{texmf}/release-tetex-src.txt
%{texmf}/texconfig
%dir %{texmf}/fonts
%dir %{texmf}/fonts/source
%dir %{texmf}/fonts/tfm
%dir %{texmf}/fonts/tfm/public
%{texmf}/fonts/cmap
%{texmf}/fonts/truetype
%{texmf}/fonts/opentype
%dir %{texmf}/fonts/vf
%dir %{texmf}/fonts/vf/public
%exclude %{texmf}/fonts/vf/ptex
%dir %{texmf}/fonts/map
%dir %{texmf}/fonts/map/dvipdfm
%{texmf}/fonts/map/dvipdfm/ptex*.map
%{texmf}/fonts/map/dvipdfm/morisawa.map
%config %{texmf}/web2c/fmtutil.cnf
%config %{texmf}/web2c/updmap.cfg
%{texmf}/web2c/mf.pool
%{texmf}/web2c/mktex.opt
%{texmf}/web2c/mktexdir
%{texmf}/web2c/mktexdir.opt
%{texmf}/web2c/mktexnam
%{texmf}/web2c/mktexnam.opt
%{texmf}/web2c/mktexupd
%dir %{texmfvar}/fonts
%dir %{texmfvar}/fonts/map
%dir %{texmfvar}/web2c/
%{texmfvar}/web2c/aleph.fmt
%{texmfvar}/web2c/cont-en.fmt
%{texmfvar}/web2c/etex.fmt
%{texmfvar}/web2c/jmpost.mem
%{texmfvar}/web2c/lambda.fmt
%{texmfvar}/web2c/lamed.fmt
%{texmfvar}/web2c/metafun.mem
%{texmfvar}/web2c/mf.base
%{texmfvar}/web2c/mpost.mem
%{texmfvar}/web2c/mptopdf.fmt
%{texmfvar}/web2c/omega.fmt
%{texmfvar}/web2c/pdfetex.fmt
%{texmfvar}/web2c/pdftex.fmt
%{texmfvar}/web2c/tex.fmt
%ghost %{texmfvar}/web2c/*.log
%dir %{texmfvar}/fonts/map/dvipdfm
%dir %{texmfvar}/fonts/map/dvipdfm/updmap
%{texmfvar}/fonts/map/dvipdfm/updmap/*.map
%dir %{texmfvar}/fonts/map/pdftex
%dir %{texmfvar}/fonts/map/pdftex/updmap
%{texmfvar}/fonts/map/pdftex/updmap/*.map
## updmap-sys makes vfontmap for xdvi even xdvi is not installed
#%dir %{texmfvar}/fonts/map/xdvi
#%dir %{texmfvar}/fonts/map/xdvi/updmap
## working vfontmap is remade when %%post of xdvik executed
#%ghost %{texmfvar}/fonts/map/xdvi/updmap/vfontmap
%dir %{texmfconfig}/web2c
%config %{texmfconfig}/web2c/updmap.cfg

%files -n kpathsea
%defattr(-,root,root)
%{_bindir}/kpseaccess
%{_bindir}/kpsewhich
%{_bindir}/kpsestat
%{_bindir}/kpsetool
%{_bindir}/kpsepath
%{_bindir}/kpsexpand
%{_bindir}/mktexfmt
%{_bindir}/mktexlsr
%{_bindir}/mktexmf
%{_bindir}/mktexpk
%{_bindir}/mktextfm
%{_bindir}/texhash
%{_libdir}/libkpathsea.so*
%{_mandir}/man1/kpseaccess.1*
%{_mandir}/man1/kpsepath.1*
%{_mandir}/man1/kpsestat.1*
%{_mandir}/man1/kpsetool.1*
%{_mandir}/man1/kpsewhich.1*
%{_mandir}/man1/kpsexpand.1*
%{_mandir}/man1/mktexlsr.1*
%{_mandir}/man1/mktexmf.1*
%{_mandir}/man1/mktexpk.1*
%{_mandir}/man1/mktextfm.1*
%{_mandir}/man1/texhash.1*
%dir %{texmfdist}
%ghost %{texmfdist}/ls-R
%dir %{texmfdist}/web2c
%config %{texmfdist}/web2c/mktex.cnf
%dir %{texmf}
%ghost %{texmf}/ls-R
%dir %{texmf}/web2c
%config %{texmf}/web2c/texmf.cnf
%dir %{texmfconfig}
%ghost %{texmfconfig}/ls-R
%dir %{texmfvar}
%ghost %{texmfvar}/ls-R
%attr(1777,root,root) %dir %{_var}/lib/texmf
%attr(0777,root,root) %dir %{_var}/lib/texmf/fonts
%attr(644,root,root) %verify(not size md5 mtime) %{_var}/lib/texmf/ls-R

%files -n kpathsea-devel
%defattr(-,root,root)
%{_includedir}/kpathsea
%{_libdir}/libkpathsea.a
%{_infodir}/kpathsea.info*

%files latex
%defattr(-,root,root)
%doc docs_latex
%{_bindir}/pslatex
%{_bindir}/latex
%{_bindir}/pdflatex
%{_mandir}/man1/pdflatex.1*
%{_mandir}/man1/pslatex.1*
%{_mandir}/man1/latex.1*
%{_infodir}/latex.info*
%{texmfdist}/tex/cslatex
%{texmfdist}/tex/latex
# this is NOT platex in ptex, it is PLaTeX where P means "Polish"
%{texmfdist}/tex/platex
%{texmf}/tex/latex
%exclude %{texmf}/tex/latex/prosper
%exclude %{texmf}/tex/latex/powerdot
%{texmfvar}/web2c/latex.fmt
%{texmfvar}/web2c/pdflatex.fmt

%files ptex
%defattr(-,root,root)
%doc docs_ptex
%{_bindir}/ptex*
%{_bindir}/platex*
%{_bindir}/pdfplatex
%{_bindir}/makejvf
%{_libdir}/libptexenc*
%{_includedir}/ptexenc
%{texmf}/jbibtex
%{texmf}/ptex
%exclude %{texmf}/ptex/platex/jsclasses
%exclude %{texmf}/ptex/platex/otfstable
%exclude %{texmf}/ptex/platex/utfsrc
%{texmf}/fonts/source/ascgrp
%{texmf}/fonts/source/ptex
%{texmf}/fonts/vf/ptex
%{texmf}/fonts/tfm/ascgrp
%{texmf}/fonts/tfm/ptex
%{texmfvar}/web2c/ptex.fmt
%{texmfvar}/web2c/platex.fmt
%{texmfvar}/web2c/platex209.fmt

%files dvipsk
%defattr(-,root,root)
%{_bindir}/dvips
%{_bindir}/odvips
%{_bindir}/dvi2fax
%{_bindir}/dvired
%{_infodir}/dvips.info*
%{_mandir}/man1/odvips.1*
%{_mandir}/man1/dvips.1*
%{_mandir}/man1/dvi2fax.1*
%{_mandir}/man1/dvired.1*
%{texmfdist}/fonts/map/dvips
%{texmfdist}/fonts/enc/dvips
%{texmfdist}/tex/plain/dvips
%{texmfdist}/dvips
%{texmf}/dvips
%dir %{texmfvar}/fonts/map/dvips
%dir %{texmfvar}/fonts/map/dvips/updmap
%{texmfvar}/fonts/map/dvips/updmap/*.map

%files afm
%defattr(-,root,root)
%{_bindir}/ttf2afm
%{_bindir}/afm2tfm
%{_mandir}/man1/ttf2afm.1*
%{_mandir}/man1/afm2tfm.1*
%{texmfdist}/fonts/afm

%files doc
%defattr(-,root,root)
%{texmfdist}/doc
%{texmf}/doc

%files jsclasses
%defattr(-,root,root)
%doc docs_jsclasses/*
%{texmf}/ptex/platex/jsclasses
%{texmf}/packages/jsclasses

%files utfpackage
%defattr(-,root,root)
%doc docs_utf/*
%{texmf}/ptex/platex/utfsrc
%{texmf}/fonts/vf/public/utfsrc
%{texmf}/fonts/tfm/public/utfsrc
%{texmf}/packages/utfsrc
%{texmf}/fonts/map/dvipdfm/utf-*.map

%files otfpackage
%defattr(-,root,root)
%doc docs_otf/*
%{texmf}/ptex/platex/otfstable
%{texmf}/fonts/vf/public/otfstable
%{texmf}/fonts/tfm/public/otfstable
%{texmf}/fonts/ofm
%{texmf}/packages/otfstable
%{texmf}/fonts/map/dvipdfm/otf-*.map

%files powerdot
%defattr(-,root,root)
%doc docs_powerdot/*
%{texmf}/tex/latex/powerdot
%{texmf}/packages/powerdot

%files prosper
%defattr(-,root,root)
%doc docs_prosper/*
%{texmf}/tex/latex/prosper
%{texmf}/packages/prosper

%changelog
* Sun Jul 27 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0-19m)
- fix %%post, %%postun

* Thu May 22 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-18m)
- update ptetex to 20080514
- renamed some subpakcages

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0-17m)
- fix Changlog. remove non ASCII char

* Sun Apr 06 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-16m)
- include platex2pdf script

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0-15m)
- rebuild against gcc43

* Wed Apr 02 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-14m)
- update to ptetex3-20080311
- The method to create vfontmap for xdvi has changed. 
- - %{texmfvar}/fonts/map/xdvi/updmap/vfontmap is included in xdvik again.

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0-13m)
- %%NoSource -> NoSource

* Fri Nov 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-12m)
- [SECURITY] CVE-2007-4033 CVE-2007-4352 CVE-2007-5392 CVE-2007-5393
- [SECURITY] CVE-2007-5935 CVE-2007-5937 CVE-2007-5938
- import security patches from Fedora devel
- tetex-3.0-CVE-2007-4033.patch, tetex-3.0-CVE-2007-5393.patch, tetex-3.0-dvipsoverflow.patch, tetex-3.0-dviljktemp.patch

* Fri Aug 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-11m)
- [SECURITY] CVE-2007-3387
- add tetex-3.0-CVE-2007-3387.patch

* Thu Jun 14 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0-10m)
- [SECURITY] CVE-2007-2756
- add tetex-3.0-CVE-2007-2756.patch

* Wed Jun 13 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0-9m)
- [SECURITY] CVE-2007-0455 CVE-2007-0650
- add patch tetex-3.0-CVE-2007-0650.patch tetex-3.0-CVE-2007-0455.patch

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-8m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Mar 19 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-7m)
- revival of Patch1000: ptetex-5macros.sh.diff
- - tetex has been broken (extramacros/japanese...) because of an omission of ptetex-5macros.sh.diff

* Mon Feb 26 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0-6m)
- update Source0 version (ptetex_ver=20061111)
- comment out Patch1000: ptetex-5macros.sh.diff
- comment out Patch1001: ptetex-1check-archive.sh.diff

* Thu Jan 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-5m)
- [SECURITY] MOAB-06-01-2007
- Multiple Vendor PDF Document Catalog Handling Vulnerability

* Wed Jan 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0-4m)
- add patch2000 for ed-0.4

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-3m)
- update to ptetex-20061102
- change %%build and %%install to use ptetex macros much more.
- update jsclasses macro to 061106

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.0-2m)
- rebuild against expat-2.0.0-1m

* Wed Jun 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-1m)
- updated to tetex-3.0 using ptetex-20060614
- - structure of spec is based on that of Fedora Core (tetex-3.0-23.src.rpm) and greatly inspired by that of Vine (tetex-3.0.0-0vl2.src.rpm) especially xregarding ptetex usage.
- [ Packaging ]
- make tetex-common subpackage which includes texmf-dist files and updmap related files (kpathsea and tetex-common are root of dependencies).
- tetex-dviljk, tetex-omega, tetex-lambda, tetex-etex, tetex-web, tetex-type1, tetex-vf, tetex-elatex and tetex-platex are merged to other packages.
- temporaly add "Requires: texi2html" to tetex for build consistency in trunk.
- [ features by ptetex ]
- enabled Babel
- enabled pTeX and pLaTeX2e (install tetex-ptex to use Japanese)
- extended updmap and map files.
- additional macros (jsclasses, prosper, powerdot, utf, otf)
- - put each macros into subpackages "tetex-extramacros-hoge".

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0-0m)
- test update to 3.0
- remake spec (inspired by Fedora (tetex-3.0-23.src.rpm) and Vine (tetex-3.0.0-0vl2))
- 
- changelogs from Vine
-
- * Wed Nov 16 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0.0-0vl2
- - ptetex-20051115
- - moved etex, pdfetex from tetex-extra to tetex package
- * Sun Nov 06 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0.0-0vl1
- - ptetex-20051106
- * Wed Aug 31 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0.0-0vl0.3
- - ptetex-20050830
- * Mon Jul 11 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0.0-0vl0.2
- - ptetex-20050701 and use more ptetex scripts
-   (Thanks a lot ! Tsuchimura-san)
- * Sun Jun 05 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0.0-0vl0.1
- teTeX-3.0 based on Tsuchimura-san's ptetex-20050614
-
- changelogs from FedoraCore
-
- * Fri May  5 2006 Adam Jackson <ajackson@redhat.com> 3.0-23
- - Remove spurious Xprint dependency
- * Mon Apr 24 2006 Jindrich Novy <jnovy@redhat.com> 3.0-22
- - don't package documentation for removed preview package (#189753)
- - enhance Japanese support, thanks to Matsuura Takanori:
-   - modify vfontmap (#178411)
-   - update ptex-src to 3.1.9, ptex-texmf to 2.4, pdvips to 5.95a-p1.7a,
-     pxdvi to 22.84.9 j1.31, and mendexk to 2.6d
-   - package pxdvi config files as %%config
- * Fri Apr 18 2006 Jindrich Novy <jnovy@redhat.com> 3.0-21
- - update caption style, the one we have is outdated (#188904)
- - envlab cleanup
- * Fri Mar 31 2006 Jindrich Novy <jnovy@redhat.com> 3.0-20
- - define NeedWidePrototypes for xdvi to display Japanese
-   correctly (#178411)
- * Thu Mar 23 2006 Jindrich Novy <jnovy@redhat.com> 3.0-19
- - install missing OMSrsfs.fd from CTAN to make \mathcal work
-   with rsfs fonts (#186373)
- * Wed Mar  8 2006 Jindrich Novy <jnovy@redhat.com> 3.0-18
- - update vfontmap to attempt to fix #178411
- * Sat Feb 25 2006 Jindrich Novy <jnovy@redhat.com> 3.0-17
- - PreReq: info (#182886, #182887)
- * Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.0-16.2
- - bump again for double-long bug on ppc(64)
- * Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-16.1
- - rebuilt for new gcc4.1 snapshot and glibc changes
- * Tue Jan 17 2006 Jindrich Novy <jnovy@redhat.com> 3.0-16
- - add missing libXaw-devel dependency
- * Tue Jan 17 2006 Jindrich Novy <jnovy@redhat.com> 3.0-15
- - apply the latest patch to fix new xpdf flaws found since the latest
-   update, thanks to Ludwig Nussel and others (#177912)
- * Mon Jan 11 2006 Jindrich Novy <jnovy@redhat.com> 3.0-14
- - apply additional patch to fix xpdf flaws from Ludwig Nussel
-   (CVE-2005-3191, CVE-2005-3192 and CVE-2005-3193) (#177128)
- - /usr/share/texmf/doc is now owned by tetex package (#177065)
- - update searching order for kpathsea (local texmf tree is 
-   searched first)
- * Thu Dec 29 2005 Jindrich Novy <jnovy@redhat.com> 3.0-13
- - update package descriptions
- - don't use obsolete bindings in texdoc
- * Tue Dec 20 2005 Jindrich Novy <jnovy@redhat.com> 3.0-12
- - apply more complete fix for CVE-2005-3193 (#175110) suggested by
-   security response team, taken from xpdf
- * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - rebuilt
- * Tue Dec  6 2005 Jindrich Novy <jnovy@redhat.com> 3.0-11
- - apply patch from Derek Noonburg to fix CVE-2005-3193 xpdf overflows (#175110)
- * Mon Nov 21 2005 Jindrich Novy <jnovy@redhat.com> 3.0-10
- - update dependencies for modular X
- - use @texmf@-var, @texmf@-config trees
- * Mon Nov  9 2005 Jindrich Novy <jnovy@redhat.com> 3.0-9
- - always cleanup temporary directories for texconfig, updmap and fmtutil
-   scripts - Michal Jaegermann (#172534)
- - remove .la files (#172619)
- * Thu Nov  3 2005 Jindrich Novy <jnovy@redhat.com> 3.0-8
- - fix obsolete option passed to sort in texconfig - Michal Jaegermann (#172337)
- - additional fix to xdvi -> keep position with navigation using
-   delete as well (#168124)
- * Mon Oct 31 2005 Jindrich Novy <jnovy@redhat.com> 3.0-7
- - remove preview-latex files as they are incomplete and without
-   documentation, preview-latex is now part of AUCTeX (#168859)
- - fix xdvi -> navigation with a spacebar does not keep position (#168124)
- * Fri Aug 19 2005 Jindrich Novy <jnovy@redhat.com> 3.0-6
- - fix detectection of X resource file for pxdvi (#164960)
- - update to mendexk 2.6c (announced by MATSUURA Takanori)
- * Thu Aug  4 2005 Jindrich Novy <jnovy@redhat.com> 3.0-5
- - run texhash in post, postun phase for the doc subpackage (#165070)
- - rebuilt (#165104)
- * Thu Jul 21 2005 Jindrich Novy <jnovy@redhat.com>
- - fix texdoctk bindings to fit FC (#162442)
- - fix some usages of uninitialized variables (#162413)
- * Mon Jul 18 2005 Jindrich Novy <jnovy@redhat.com>
- - inform user about perl-Tk dependency when using
-   texdoctk (#162441)
- * Mon Jun 20 2005 Jindrich Novy <jnovy@redhat.com>
- - add obsoletes for tetex-beamer, tetex-pgf, tetex-xcolor
-   to avoid conflicts with Extras (#160754)
- * Mon Jun  6 2005 Jindrich Novy <jnovy@redhat.com>
- - convert spec to UTF-8 (#159583)
- * Wed Jun  1 2005 Jindrich Novy <jnovy@redhat.com>
- - remove dependency on w3c-libwww
- - don't use uninitialized tmp_size (#157178)
- - add a possibility to define default paper in spec
- * Wed May  4 2005 Jindrich Novy <jnovy@redhat.com> 3.0-4
- - add envlab package (#149212)
- - fix usage of uninitialized variable in ttf2afm.c (#149212)
- * Mon Apr 25 2005 Jindrich Novy <jnovy@redhat.com>
- - add Requires: fonts-japanese >= 0.20050222-2 to xdvi
-   subpackage when Japanese is enabled
- - switch from /usr/share/fonts/ja to /usr/share/fonts/japanese (#155880)
- * Mon Apr 25 2005 MATSUURA Takanori <t-matsuu@estyle.ne.jp>
- - use htt as input method for pxdvi
- - update pxdvi to 22.84.9 j1.22
- - fix pxdvi installation
- - update to ptex-src-3.1.8.1, dvips-jpatch-p1.7, mensexk-2.6a
- - delete japanese.map, now included in dvipsk-jpatch-p1.7
- * Mon Feb 28 2005 Jindrich Novy <jnovy@redhat.com> 3.0-3
- - repack sources from gz -> bz2 (reduces srpm size of about 10M)
- - add $RPM_OPT_FLAGS to CFLAGS
- - replace obsolete --with-x-toolkit with --with-mf-x-toolkit and 
-   --with-xdvi-x-toolkit
- * Fri Feb 18 2005 Jindrich Novy <jnovy@redhat.com> 3.0-2
- - update dvipsk-5.95a-p1.6a.tar.gz and dvipsk-jpatch-p1.6a1-pdvips.patch
-   because of portability problems (#148947)
- * Thu Feb 10 2005 Jindrich Novy <jnovy@redhat.com> 3.0-1
- - drop CAN-2004-1125 patch, applied upstream
- - drop CAN-2004-0064 patch, CAN-2004-0888 fixed sufficiently upstream
- - drop xaw3d (use Motif intead), nostrip, old (>65 limitation in latex.ltx),
-   xdvik-xdvi-resources
- - keep marvosym-rightarrow patch (not fixed yet)
- - update Source0, Source1, drop Source13 (varioref fixed)
- - sync with spec for 3.0 suggested by MATSUURA Takanori (#147668)
- - don't ship log files in %{_datadir}/texmf-var/web2c/*.log
- * Wed Feb  2 2005 MATSUURA Takanori <t-matsuu@estyle.ne.jp> - 2.99.11.20050131-0.0.1
- - update to 2.99.11-20050131b
- - update Japanese support (Japanese -> UTF-8 conversion, cleanup of patches, spec update)
- - add support for firefox, mozilla, htmlview (first), w3m browsers for xdvik (browser patch)
- - suggest to drop CAN*, xaw3d, nostrip (fixed), old, xdvik-xdvi-resources, marvosym-rightarrow
- - suggest separation of latex2html and texi2html (new packages) from tetex package
- - delete support for latex2html, texi2html from spec
- - fix %post phase in latex subpackage 

* Wed Nov 23 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-22m)
- update to ptex-src-3.1.5 and ptex-texmf-2.2

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0.2-21m)
- enable ia64, ppc64

* Thu Jan 20 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.2-19m)
- enable x86_64.

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0.2-18m)
- rebuild against gcc-c++-3.4.1

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.0.2-17m)
- explicitly provides libkpathsea.so for anaconda.

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.2-16m)
- use tetex specific find-requires script so that avoid to focus on the texmf doc.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.2-15m)
- revised spec for rpm 4.2.

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-14m)
- specfile cleanup

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-13m)
- modify texmf.cnf for jbibtex.

* Mon Dec 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.0.2-12m)
- exec install-info
- add %%config to texmk.cnf and updmap.cfg
- add %%docdir to %{texmfdir}/doc

* Mon Sep 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-11m)
- rebuild against autoconf-2.57-1m
- add BuildRequires: autoconf >= 2.57
- capitalize License: 'M'odified BSD for speclint

* Wed Jul 28 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-10m)
- %%{vartexfontsdir} is %%{_var}/lib/texmf/fonts.

* Wed Jul 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-9m)
- kpathsea handle %%{vartexfontsdir}.
- dvips stop output to printer.
- use %%NoSource and %%NoPatch macros.

* Wed Jul 23 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-8m)
- rebuild against texmf.cnf.momonga.

* Sun Jul  6 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-7m)
- Obsoletes: pk300, txfonts*, pxfonts*

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-6m)
- Obsoletes: tetex-dvips, tetex-dvilj.
- move ``Obsoletes: tetex-fonts, tetex-revtex, tetex-mendex'' to kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-5m)
- execute updmap for dvipsk when %%post.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-4m)
- PreReq: kpathsea

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-3m)
- remove %%{?_smp_mflags} because error occurred on build.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-2m)
- add BuildRequires: gcc-c++ >= 3.2.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-1m)
- teTeX version 2.0.2.
- pTeX version 3.1.2.
- Omega version 1.23.4
- mendex version 2.5.
- cancel ls-R directory listing file if %%{enable_ls_R}.
- move xdvik and oxdvik to other specfile.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.7-59m)
- move %%{_bindir}/readlink, %{_mandir}/man1/readlink.1* to coreutils

* Mon Apr 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7-58m)
- rebuild against t1lib 5.0.0
- No NoSource: 0
- No NoSource: 1
- No NoSource: 3

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.7-57m)
  disable stack protector

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-56m)
- modify processing latex2e base macros part.

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-55m)
- release NIWATAMA.

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-54m)
- update LaTeX2e base macros.

* Thu Jul 18 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.7-53m)
- ftp_CTAN ftp_ascii_ptex source url change

* Sat May  4 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.7-52k)
- fix configure option:  --with-system-pnglib1  to  --with-system-pnglib
- remove %doc texk/web2c/ptex-%{ptex_src_ver}/COPYING
- remove %doc texk/xdvik/INSTALL

* Sat May  4 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-50k)
- hash_extra = 2446000.

* Fri May  3 2002 zunda <zunda@kondara.org>
- (1.0.7-48k)
- teTeX-1.0.7-texmfcnf-pdfjadetex.patch added to set
  hash_extra, pool_size, max_strings, save_size for pdfjadetex

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.7-46k)
- Prereq: /sbin/install-info -> info

* Mon Apr  1 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-44k)
- xdvik resource file

* Wed Mar 27 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-42k)
- change hash_extra to 2446000 for jadetex

* Wed Mar 13 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.0.7-40k)
- change hash_extra.jadetex 25000 to 2446000

* Tue Feb  5 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-38k)
- pTeX version up to 3.0.1.
- pLaTeX (ptex-texmf) version up to 2.0.
- mendex version up to 2.5.
- include the newbie package tetex-revtex.
- xdvik version up to 22.40b.
- merge some patch file to make simple spec :-P

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-34k)
- jitterbug #917 was wrong...

* Wed Nov 21 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-32k)
- applied badscript.patch
- See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=43342

* Fri Nov  9 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-30k)
- Replace dvi-to-ps (rhs-printfilters) with mf40-tetex_filters
  (printconf).  Create testpage.dvi (from tex/latex/base/testpage.tex).

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-28k)
- rebuild against libpng 1.2.0.

* Thu Sep 27 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-26k)
- fix conflict tetex and tetex-mendex

* Sun Sep 23 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-24k)
- jitterbug #917, mktexpk should avoid "modeless".

* Wed Jun  6 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-22k)
  include latex209 macro files.

* Tue Jun  5 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-20k)
  update to ptex 2.1.11
  include makejvf, jvf
  update latex files to CTAN 20000601

* Mon May 14 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-19k)
- change default font to Type1 for dvisp (teTeX-1.0-dvips-config.patch).

* Sat May 12 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-17k)
- upgrade ptex-texmf-1.9 to ptex-texmf-1.10
- append xdvik-vfontmap-jis.patch

* Sun May  6 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-15k)
- teTeX-1.0-japanese-psfonts.patch obsoleted by teTeX-1.0-dvips-config.patch
- fix to texmf/dvips/config/updmap

* Tue Mar 13 2001 Kenta MURATA <muraken2@nifty.com>
- (1.0.7-13k)
- upgrade ptex-texmf to 1.9.
- upgrade dvipsk-jpatch to p1.5d.
- append mendex package.
- append paper size for dvips.
- dvips default output change to file.
- add "extmap" directory for updmap.

* Sat Feb 10 2001 Kenta MURATA <muraken2@nifty.com>
- (1.0.7-11k)
- upgrade to "ptex-src-2.1.10.tar.gz".

* Wed Feb  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remove tetex-dvips-japanese.map.patch
  use /usr/share/texmf/dvips/config/updmap

* Mon Jan 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix dvips
  added "p +japanese.map" line to /usr/share/texmf/dvips/config/config.ps

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Wed Jan 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- xdvik-22.15-j1.04
- included xdvik jp patch documents

* Sat Dec  3 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Kondarize
- pTeX update to 2.1.10

* Thu Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt on RedHat7.0 again

* Mon Aug 28 2000 Masato Taruishi <taru@debian.org>
- Fixed xdvik-ja to work in 1.0.7 correctly.
- Added a Japanese fontdata for a Japanized dvipsk.

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- Japanese enbaled

* Wed Jul 19 2000 Trond Eivind Glomsrøä <teg@redhat.com>
- fix man pages in man, not man1
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use _infodir

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace *.cnf

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- patched for NORETURN functions in gcc 2.96, rebuilt against new libstdc++

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- remove explicit xpm-devel prereq (subsumed into XFree86)
- fixes for ia64

* Mon Mar 20 2000 Jeff Johnson <jbj@redhat.com>
- Sync with Mandrake (tetex-1.0.7-2mdk).
- update to teTeX-texmf-1.0.2.tar.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 11 2000 Giuseppe Ghibo <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghibo <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark /usr/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghibo <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghibo <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghibo changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghibo <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghibo <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghibo <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghibo <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghibo <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghibo <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark /usr/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
